/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\Craftable artys\ml peerless\IronwoodCrown.cs
Lines of code: 67
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class  IronwoodCrownRecipe : BaseRecipe
	{
	
		[Constructable]
		public IronwoodCrownRecipe()
		{		
		//InitRequirements();
		}
		
		
		//overrides:
		
		public override Type CraftedItem { get { return typeof(IronwoodCrown); } }
		public override string artyname { get { return "Ironwood Crown"; } }
		
		
	
		public override void InitRequirements()
		{
		base.InitRequirements(); //MUST be first! 
		
		//add required skills:
		
		RequiredSkills.Add(new ReqSkill(SkillName.Carpentry,85));
		
		//add required resources
		
		CommonResources.Add(new ReqRes("regular board",typeof(Board),10));
		
		RareResources.Add(new ReqRes("Diseased Bark",typeof(DiseasedBark),1));		
		RareResources.Add(new ReqRes("Corruption",typeof(Corruption),10));		
		RareResources.Add(new ReqRes("Putrefaction",typeof(Putrefaction),10));		
		}	

			
	
		public IronwoodCrownRecipe( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}	
		
	}
	
	public class IronwoodCrown : RavenHelm
	{
		public override int LabelNumber{ get{ return 1072924; } } // Ironwood Crown

		public override int BasePhysicalResistance{ get{ return 10; } }
		public override int BaseFireResistance{ get{ return 6; } }
		public override int BaseColdResistance{ get{ return 7; } }
		public override int BasePoisonResistance{ get{ return 7; } }
		public override int BaseEnergyResistance{ get{ return 10; } }

		[Constructable]
		public IronwoodCrown()
		{
			Hue = 0x1;

			ArmorAttributes.SelfRepair = 3;

			Attributes.BonusStr = 5;
			Attributes.BonusDex = 5;
			Attributes.BonusInt = 5;
		}

		public IronwoodCrown( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}